Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Nguyen Hoanh

Mẹo sử dụng AutoCAD

Các bài được khuyến nghị

Thaistreetz    515
Bạn làm như sau :

Command: dtext -> gõ dt(DText)

Current text style: "style1" Text height: 225.0000

Specify start point of text or [Justify/Style]: -> Pick chọn 1 điểm viết chữ (điểm P1)

Specify rotation angle of text <45>: 15 : gõ góc nghiêng của chữ hoặc pick 1 điểm (P2) : điểm P1P2 sẽ hợp với phương nằm ngang 1 góc a

 

Enter text: CADVIET -> gõ chữ

Enter text: Enter

 

-> Chữ sẽ nghiêng 1 góc so với phuơng ngang và phương chữ vẫn đứng : đúng theo ý bạn nhé :tongue2:

Theo em thì ta phải chỉnh góc nghiêng của text trước trong mục Oblique angle (vi dụ khi goc nghieng cua hang text là 15 độ thì ta nhập giá trị 15 độ vào mục này) của text style trước rồi mới làm như trên thì chữ mới thẳng đứng theo trục Y được.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tbtrong69    0
Theo em thì ta phải chỉnh góc nghiêng của text trước trong mục Oblique angle (vi dụ khi goc nghieng cua hang text là 15 độ thì ta nhập giá trị 15 độ vào mục này) của text style trước rồi mới làm như trên thì chữ mới thẳng đứng theo trục Y được.

pác có thể chỉ rõ hơn không. cad em cũng hơi kém, mục oblique angle ở đâu zậy? nằm trong lệnh nào hay trong tool. Còn làm theo cách của pác TUE vn thì ko đc. các pác xem hình vẽ ý của em nha.

http://www.cadviet.com/upfiles/2/cadviet_4.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
master_worse    87
pác có thể chỉ rõ hơn không. cad em cũng hơi kém, mục oblique angle ở đâu zậy? nằm trong lệnh nào hay trong tool. Còn làm theo cách của pác TUE vn thì ko đc. các pác xem hình vẽ ý của em nha.

http://www.cadviet.com/upfiles/2/cadviet_4.dwg

 

cách làm thủ công:

Xoay text --> Chọn text --> Ctrl+1 (or _properties) --> trong tab TEXT bạn tìm xem Rotation là bao nhiêu thì điền giá trị đó vào Obliquing

sẽ đúng như ý bạn

 

Bạn sử dụng LISP này thử:

(defun C:ORT (/ SS TXTLST TEXT)
(setq SS (ssget '((0 . "TEXT"))))
(setq TXTLST (vl-remove-if 'listp (mapcar 'cadr (ssnamex SS))))
(foreach TEXT TXTLST
 (entmod (subst (cons 51 (cdr (assoc 50 (entget TEXT)))) (assoc 51 (entget TEXT)) (entget TEXT)))
);_ end foreach
);_ end defun

 

text phải xoay trước khi thực hiện lênhh lisp nầy

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
havanvu38    95

Theo mình thì đặt kiểu text Style có góc nghiêng trước , góc giữa đường chéo và trục oy rồi dùng lệnh DT bắt bắt điểm đầu và cuối của đường xiên

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
pác có thể chỉ rõ hơn không. cad em cũng hơi kém, mục oblique angle ở đâu zậy? nằm trong lệnh nào hay trong tool. Còn làm theo cách của pác TUE vn thì ko đc. các pác xem hình vẽ ý của em nha.

http://www.cadviet.com/upfiles/2/cadviet_4.dwg

Vì bạn không upload cái hình vẽ nên Tue_NV chẳng biết câu trả lời của mình có đúng ý của bạn không?

Bạn làm theo cách của mình nhé :

Bước 1. Theo ý này của Tue_NV

Bạn làm như sau :

Command: dtext -> gõ dt(DText)

Current text style: "style1" Text height: 225.0000

Specify start point of text or [Justify/Style]: -> Pick chọn 1 điểm viết chữ (điểm P1)

Specify rotation angle of text <45>: 15 : gõ góc nghiêng của chữ hoặc pick 1 điểm (P2) : điểm P1P2 sẽ hợp với phương nằm ngang 1 góc a

 

Enter text: CADVIET -> gõ chữ

Enter text: Enter

Bước 2 : Chọn Text vừa gõ -> bấm Ctrol+1 (hoặc lệnh MO) -> Vào nhãn Text -> bạn thấy mục Obliquing -> Bạn gõ số đo góc Obliquing đúng bằng số đo góc Rotation là được.

Số đo góc Rotation nằm ở dòng thứ 5 của nhãn Text và Số đo góc Obliquing nằm ở dòng thứ 7 của nhãn Text

 

Hoặc cách khác là bạn thiết lập trước Oblique angle trong hộp thoại style (Đánh lệnh Style -> và thiết lập Oblique angle cho font chữ nhé). Ví dụ giá trị của Oblique angle là a thì khi gõ Dtext thì ở dòng : Specify rotation angle of text <45>: -> ở dòng này bạn phải gõ đúng bằng giá trị là a nhé.

 

 

Chúc bạn thành công nhé :tongue2:

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
meimei308    0
Bạn đang cần chọn một đối tượng nằm ở phía dưới một đối tượng khác, bạn làm như thế nào? có một cách rất đơn giản: khi chọn bạn nhấn thêm ctr, pick 1 lần nếu trúng rồi thì thôi, nếu chưa trúng thì pick thêm lần nữa nó sẽ chọn xoay vòng các đối tượng nằm tại 1 vị trí cho đến lúc đối tượng bạn chọn là thì bạn nhấn phím space (enter hoặc phải chuột).

 

Bạn đang bật một lúc nhiều lựa chọn osnap, vì thế khi bạn di chuột đến gần đối tượng, thay vào bắt theo cách bạn mong muốn, AutoCAD lại chọn kiểu snap không đúng? bạn chỉ cần nhấn phím tab chức năng osnap sẽ thay đổi xoay vòng cho đến kiểu bạn muốn thì thôi.

em mới học cad nên ga` lắm các bác cho em hỏi vẽ mũi tên trong cad như thế nào:) em cảm ơn nhiều:))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thaistreetz    515
em mới học cad nên ga` lắm các bác cho em hỏi vẽ mũi tên trong cad như thế nào:) em cảm ơn nhiều:))

Có rất nhiều cách để vẽ ra được một cái mũi tên. Cách đơn giản nhất là dùng Lệnh LE (leader). theo mặc định của cad thì nó sẽ vẽ cho bạn 1 cái mũi tên.

PS: với những câu hỏi thế này thì bạn fải post vào topic dành cho người mới bắt đầu nhé. bạn chú ý cho lần sau.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tbtrong69    0
Vì bạn không upload cái hình vẽ nên Tue_NV chẳng biết câu trả lời của mình có đúng ý của bạn không?

Bạn làm theo cách của mình nhé :

Bước 1. Theo ý này của Tue_NV

 

Bước 2 : Chọn Text vừa gõ -> bấm Ctrol+1 (hoặc lệnh MO) -> Vào nhãn Text -> bạn thấy mục Obliquing -> Bạn gõ số đo góc Obliquing đúng bằng số đo góc Rotation là được.

Số đo góc Rotation nằm ở dòng thứ 5 của nhãn Text và Số đo góc Obliquing nằm ở dòng thứ 7 của nhãn Text

 

Hoặc cách khác là bạn thiết lập trước Oblique angle trong hộp thoại style (Đánh lệnh Style -> và thiết lập Oblique angle cho font chữ nhé). Ví dụ giá trị của Oblique angle là a thì khi gõ Dtext thì ở dòng : Specify rotation angle of text <45>: -> ở dòng này bạn phải gõ đúng bằng giá trị là a nhé.

Chúc bạn thành công nhé :tongue2:

cảm ơn pac nhiều. em làm đc rồi. đa tạ đa tạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
xmenkt    0
Cho mình hỏi la khi dùng lệnh LE, sau đó vào phần Setting chọn kích thước mũi tên nhưng kích thước của nó không thay đổi. Bạn chỉ giúp mình nhé

Bạn gõ CH ,enter sau đó vào arrrow size tăng kích thước mũi tên lên là được

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
toidopro86    0
Bạn vào Express > Tools > Command Alias Editor...> Hiện bảng các lệnh tắt.

Bạn có thể thay đổi lệnh tắt hoặc đặt lệnh tắt cho riêng mình ví dụ: ngày tháng năm sinh của người iu...

Sư huynh cho hỏi CAD 2004 có không hả, tôi không thấy nếu có chỉ giúp nhé, thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoanghaiyp    244

Quan điểm của mình không nên thay đổi lệnh tắt. Autocad đã tạo ra ra lệnh tắt rồi bạn cứ việc sử dụng nó. Thay đổi theo ý thích sẽ ảnh hưởng đến người sẽ sử dụng máy của bạn nơi làm việc.

Các lệnh tắt ứng dụng cho tất cả các CAD từ đời thấp đến cao:

DANH MỤC CÁC LỆNH TẮT

1. 3A 3DARRAY Sao chép thành dãy trong 3D

2. 3DO 3DORBIT Xoay đối tượng trong không gian 3D

3. 3F 3DFACE Tạo mặt 3D

4. 3P 3DPOLY Vẽ đường PLine không gian 3 chiều

A

5. A ARC Vẽ cung tròn

6. AA AREA Tính diện tích và chu vi 1

7. AL ALIGN Di chuyển, xoay, scale

8. AR ARRAY Sao chép đối tượng thành dãy trong 2D

9. ATT ATTDEF Định nghĩa thuộc tính

10. ATE ATTEDIT Hiệu chỉnh thuộc tính của Block

B

11. B BLOCK Tạo Block

12. BO BOUNDARY Tạo đa tuyến kín

13. BR BREAK Xén 1 phần đoạn thẳng giữa 2 điểm chọn

C

14. C CIRCLE Vẽ đường tròn

15. CH PROPERTIES Hiệu chỉnh tính chất của đối tượng

16. CHA ChaMFER Vát mép các cạnh

17. CO, cp COPY Sao chép đối tượng

D

18. D DIMSTYLE Tạo kiểu kích thước

19. DAL DIMALIGNED Ghi kích thước xiên

20. DAN DIMANGULAR Ghi kích thước góc

21. DBA DIMBASELINE Ghi kích thước song song

22. DCO DIMCONTINUE Ghi kích thước nối tiếp

23. DDI DIMDIAMETER Ghi kích thước đường kính

24. DED DIMEDIT Chỉnh sửa kích thước

25. DI DIST Đo khoảng cách và góc giữa 2 điểm

26. DIV DIVIDE Chia đối tượng thành các phần bằng nhau

27. DLI DIMLINEAR Ghi kích thước thẳng đứng hay nằm ngang

28. DO DONUT Vẽ hình vành khăn

29. DOR DIMORDINATE Tọa độ điểm

30. DRA DIMRADIU Ghi kích thước bán kính

31. DT DTEXT Ghi văn bản

E

32. E ERASE Xoá đối tượng

33. ED DDEDIT Hiệu chỉnh kích thước

34. EL ELLIPSE Vẽ elip

35. EX EXTEND Kéo dài đối tượng

36. EXIT QUIT Thoát khỏi chương trình

37. EXT EXTRUDE Tạo khối từ hình 2D

F

38. F FILLET Tạo góc lượn/ bo tròn góc

39. FI FILTER Chọn lọc đối tượng theo thuộc tính

H

40. H BHATCH Vẽ mặt cắt

41. -H -HATCH Vẽ mặt cắt

42. HE HATCHEDIT Hiệu chỉnh mặt cắt

43. HI HIDE Tạo lại mô hình 3D với các đường bị khuất

I

44. I INSERT Chèn khối

45. -I -INSERT Chỉnh sửa khối được chèn

46. IN INTERSECT Tạo ra phần giao giữa 2 đối tượng

L

47. L LINE Vẽ đường thẳng

48. LA LAYER Tạo lớp và các thuộc tính

49. -LA -LAYER Hiệu chỉnh thuộc tính của layer

50. LE LEADER Tạo ra đường dẫn chú thích

51. LEN LENGTHEN Kéo dài/thu ngắn đối tượng bằng chiều dài cho trước

52. Lw LWEIGHT Khai báo hay thay đổi chiều dày nét vẽ

53. LO –LAYOUT Tạo Layout

54. LT LINETYPE Hiển thị hộp thoại tạo và xác lập các kiểu đường

55. LTS LTSCALE Xác lập tỉ lệ đường nét

M

56. M MOVE Di chuyển đối tượng được chọn

57. MA MATCHPROP Sao chép các thuộc tính từ 1 đối tượng này sang 1 hay nhiều đối tượng khác

58. MI MIRROR Lấy đối tượng qua 1 trục

59. ML MLINE Tạo ra các đường song song

60. MO PROPERTIES Hiệu chỉnh các thuộc tính

61. MS MSPACE Chuyển từ không gian giấy sang không gian mô hình

62. MT MTEXT Tạo ra 1 đoạn văn bản

63. MV MVIEW Tạo ra cửa sổ động

O

64. O OFFSET Sao chép song song

P

65. P PAN Di chuyển cả bản vẽ

66. -P -PAN Di chuyển cả bản vẽ từ điểm 1 sang điểm thứ 2

67. PE PEDIT Chỉnh sửa các đa tuyến

68. PL PLINE Vẽ đa tuyến

69. PO POINT Vẽ điểm

70. POL POLYGON Vẽ đa giác đều khép kín

71. PS PSPACE Chuyển từ không gian mô hình sang không gian giấy

R

72. R REDRAW Làm tươi lại màn hình

73. REC RECTANGLE Vẽ hình chữ nhật

74. REG REGION Tạo miền

75. REV REVOLVE Tạo khối 3D tròn xoay

76. RO ROTATE Xoay các đối tượng được chọn xung quanh 1 điểm

77. RR RENDER Hiển thị vật liệu, cây, cảnh, đèn... của đối tượng

S

78. S StrETCH Kéo dài/Thu ngắn tập hợp của đối tượng

79. SC SCALE Phóng to, thu nhỏ theo tỷ lệ

80. SHA SHADE Tô bóng đối tượng của 3D

81. SL SLICE Cắt khối 3D

82. SO SOLID Tạo ra các đa tuyến có thể được tô đầy

83. SPL SPLINE Vẽ đường cong bất kỳ

84. SPE SPLINEDIT Hiệu chỉnh spline

85. ST STYLE Tạo các kiểu ghi văn bản

86. SU SUBTRACT Phép trừ khối

T

87. T MTEXT Tạo ra 1 đoạn văn bản

88. TH THICKNESS Tạo độ dày cho đối tượng

89. TOR TORUS Vẽ xuyến

90. TR TRIM Cắt xén đối tượng

U

91. UN UNITS Định vị bản vẽ

92. UNI UNION Phép cộng khối

V

93. VP DDVPOINT Xác lập hướng xem 3 chiều

 

W

94. WE WEDGE Vẽ hình Nêm/Chêm

 

X

95. X EXPLODE Phân rã đối tượng

96. XR XREF Tham chiếu ngoại vào các file bản vẽ

 

Z

97. Z ZOOM Phóng to/Thu nhỏ

 

 

 

 

 

 

 

Logged

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
pbtuan    0

cám ơn bạn rất nhiều. Mặc dù chỉ là mẹo nhỏ nhưng lại tránh dc rất nhiều fiền hà. :cheers:

 

Các bác cho e hỏi chút nha. muốn tao layer theo y minh thi tao như thế nao VD tren đường layer co gi tên theo ý của người vẽ. can ơn các bác nhiều.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nobitanuce    0
Tôi muốn các bạn giúp dùm, làm cách nào để xác định được thể tích , trọng tâm và momen của một khối bất kỳ.

 

Bạn dùng lệnh massprop là ok thôi mà. Nhớ là đối tượng chọn phải có kín thì mới có trọng tâm, chu vi, diện tích, thể tích .. dc .

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phiphionline    10
Bác ơi, em làm theo Bác chỉ dẫn mà ko dc. Em dùng cad 2007 ạ

 

Còn phụ thuọc vào bạn dùng Mtext hay Dtext nữa.

Nếu bạn dùng Dtext thì được thôi

:(

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lungvu    5
Bên cạnh chức năng middle between 2 point khi chọn đối tượng và nhấn phải chuột bạn cũng nê dùng chức From, chức năng này có tác dụng giống như toạ độ tương đối, nghĩa là bạn dùng chức năng From để xác định điểm gốc và từ đó move đối tượng đến một vị trí nhất định nào đó mà không phải vẽ các đường đánh thuê hay phải thao tác nhiều lần để move đối tượng. Nói đơn giản: bạn muốn move 1 đối tượng bất kỳ ở một vị trí bất kỳ về vị trí cách điểm A 1m chẳng hạn. Bạn dùng lệnh move, chọn đối tượng, chọn điểm gốc, chuột phải và chọn From rồi chọn điểm A và nhập khoảng cách 1000 theo các hướng.

đây là vấn đề em đang quan tâm , nhờ anh nói rõ hơn được không? em dùng cad 2007 làm theo cách như anh nói : move -> chọn đối tượng -> chọn điểm gốc -> nhưng khi ấn chuột phải thì chẳng hiện lên cái gì và đối tượng mình chọn để move nó tự nhảy đi ra vị trí khác không theo mong muốn của mình . em thử dùng cách move -> chọn đối tượng -> chọn điểm gốc -> sau đó đánh hẳn lệnh from vào rồi chọn điểm A và nhập khoảng cách thì vẫn được . không biết cad của em có bị sao không mà dùng chuột phải không hiện lên from như bác nói , có cách nào khắc phục được không ? cảm ơn bác trước nhé!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nobitanuce    0
Còn phụ thuọc vào bạn dùng Mtext hay Dtext nữa.

Nếu bạn dùng Dtext thì được thôi

:cheers:

 

Em cảm ơn Bác! em đã làm được rồi. Chúc Bác một năm mới nhiều niềm vui và hạnh phúc!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nhungoc    0

em sử dụng auto cad 2007 ma sao không sử dụng được cách chọn các đường thẳng nằm trung lên nhau,em nhấn ctrl ko được,giúp em với

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
trinhman    0
Cad 2004 không có lệnh này bác ạ

Theo mình thì khi chọn 1 lênh nào đó,chỉ đưaa con trỏ đến gần trung điểm của đoạn thẳng đó thì sẽ xuất hiện điểm MID để cho ta bắt điểm cần gì phải tìm trung điểm cho mệt...hi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
w1nDream    73
em sử dụng auto cad 2007 ma sao không sử dụng được cách chọn các đường thẳng nằm trung lên nhau,em nhấn ctrl ko được,giúp em với

 

Bạn tham khảo bài viết sau:

http://www.cadviet.com/forum/index.php?sho...;show=&st=0

:undecided:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tram1991    0
Có ai hay dùng layout để in cho mình hỏi chút:

 

Mình muốn in hai phần (ví dụ như bình đồ và trắc dọc) lên cùng bản vẽ. Mình vào layout và chọn 2 khung zoom, trên là BD, dưới là TD. Vì bình đồ hay thay đổi hướng nên có dùng lệnh nào để xoay bình đồ theo hướng mình cần. (Chỉ xoay trong layout thôi, không xoay trong model)

Bạn chon khung in BD.Đánh lệnh dv chọn đối tượng rồi bắt đầu xoay theo ý muốn của mình.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cho mình hỏi các phim tắt của các lệnh gi kích thước. vd gi kích thước đường thẳng, bán kính đường tròn. thank!

Phím tắt lệnh ghi kích thước :

DAL, *DIMALIGNED đường thảng nằm nghiêng

DAN, *DIMANGULAR đo góc giữa 2 đường thẳng

DCO, *DIMCONTINUE đo tiếp ( đo gối đầu,dùng để ghi kích thước trục trong bản vẽ kỹ thuật cũng như kiến trúc)

DDI, *DIMDIAMETER đo đường kính đường tròn

DRA, *DIMRADIUS đo bán kính đường tròn

DED, *DIMEDIT Hiệu chỉnh kích thước (tạo mới/xoay/tạo đường xiên-cái này thường dùng cho cad 3d-)

DLI, *DIMLINEAR đo kích thước đường thẳng nằm ngang hoặc đứng

 

Còn nhiều lệnh nữa,nhưng mình chưa dùng tới nên cũng ko rõ lắm...Ngần đó xài đỡ đã!!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×